PreselectedGHNTask
Date: 2014-01-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.vremanagement.resourcebroker.impl.planbuilders.generictasks
Class PreselectedGHNTask

    java.lang.Object
      org.gcube.vremanagement.resourcebroker.impl.planbuilders.PlanBuilderTask
          org.gcube.vremanagement.resourcebroker.impl.planbuilders.generictasks.PreselectedGHNTask

    public class PreselectedGHNTask

extends PlanBuilderTask

A general purpose plan builder that returns the list of all `PackageGroup` elements for which the client has already defined a GHN to use.

Author:
  Daniele Strollo (ISTI-CNR)

Constructor Summary
`PreselectedGHNTask()`

Method Summary
`PlanBuilderElem` | `makeDecision(PlanBuilderElem input)` From the given input retrieves the `PackageGroup` elements having an assigned GHN and modes these nodes to the corresponding `PlanBuilderElem.getResponse()` part.

Methods inherited from class org.gcube.vremanagement.resourcebroker.impl.planbuilders.PlanBuilderTask
`setID`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PreselectedGHNTask

    public PreselectedGHNTask()

Method Detail

### makeDecision

    public final PlanBuilderElem makeDecision(PlanBuilderElem input)
                                       throws PlanBuilderException

  From the given input retrieves the `PackageGroup` elements having an assigned GHN and modes these nodes to the corresponding `PlanBuilderElem.getResponse()` part. The chosen nodes will be so removed from the initial `PlanBuilderElem.getRequest()` part so that they will no more parsed in further stages of `PlanBuilderWorkflow` chain.

  Specified by:
    `makeDecision` in class `PlanBuilderTask`
  Parameters:
    `input` - `PlanBuilderElem` the required data to make a decision plan.
  Returns:
    an element of type `PlanBuilderElem` with the initial request and response possibly modified in accordance to the decision making strategy.
  Throws:
    `PlanBuilderException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD